import { motion } from "framer-motion";
import { Outlet } from "react-router-dom";
import { Header } from "./Header";
import { Footer } from "./Footer";
import { useEffect } from "react";
import { env } from "@web/src/env";
import Navigation from "./navigation";
import TopPic from "./TopPic";

export function MainLayout() {
	useEffect(() => {
		document.title = env.APP_NAME || "信箱";
	}, []);
	return (
		<motion.div
			initial={{ opacity: 0 }}
			animate={{ opacity: 1 }}
			transition={{ duration: 0.5 }}>
			{/* 顶部 Header */}
			<Header />
			{/* 主要内容区域 */}
			<main className="min-h-screen bg-slate-100">
				<div className="container mx-auto px-4 sm:px-6 lg:px-8 w-[95%] md:w-[90%] lg:w-[80%] min-w-[320px] max-w-[2000px]">
					<TopPic></TopPic>
					<div className="my-4">
						<Navigation />
					</div>
					<Outlet />
				</div>
			</main>

			{/* 底部 Footer */}
			<Footer />
		</motion.div>
	);
}
